USB_HCD_PCI_PROBE(9)

NAME
usb_hcd_pci_probe - initialize PCI-based HCDs

SYNOPSIS

int usb_hcd_pci_probe(struct pci_dev * dev, const struct pci_device_id * id);

ARGUMENTS

dev
    USB Host Controller being probed

id
    pci hotplug id connecting controller to HCD framework

CONTEXT

!in_interrupt

DESCRIPTION

Allocates basic PCI resources for this USB host controller, and then invokes the start method for the HCD associated with it through the hotplug entry's driver_data.

Store this function in the HCD's struct pci_driver as probe.

RETURN

0 if successful.

COPYRIGHT